###################################################
### chunk number 1: 
###################################################
library(RII)
data(LSDeaths)
LSDeaths



###################################################
### chunk number 2: 
###################################################
LSdead <- xtabs(Deaths ~ class + age, data = LSDeaths)
LSatrisk <- xtabs(AtRisk ~ class + age, data = LSDeaths)
LSdead
LSatrisk



###################################################
### chunk number 3: 
###################################################
LSmodel1 <- RII(LSdead, LSatrisk, loglambda = 0)
LSmodel1



###################################################
### chunk number 4: 
###################################################
LSmodel2 <- RII(LSdead, LSatrisk, loglambda = -Inf)
LSmodel2



###################################################
### chunk number 5: 
###################################################
LSmodel3 <- RII(LSdead, LSatrisk, loglambda = Inf)
LSmodel3$par



###################################################
### chunk number 6: 
###################################################
RII.CVplot(LSdead, LSatrisk, loglambda = seq(-2,18,len=21))


###################################################
### chunk number 7: 
###################################################
LSmodel4 <- RII(LSdead, LSatrisk, grid = seq(5,10,len=6))
LSmodel4$loglambda
LSmodel4



###################################################
### chunk number 8: 
###################################################
par(mfrow=c(2,2))
plot(LSmodel4, group = "25-34", main = "(a) age group 25-34")
plot(LSmodel4, group = "35-44", main = "(b) age group 35-44")
plot(LSmodel4, group = "45-54", main = "(c) age group 45-54")
plot(LSmodel4, group = "55-64", main = "(d) age group 55-64") 


###################################################
### chunk number 9: 
###################################################
exp(LSmodel4$group.effects)


###################################################
### chunk number 10: 
###################################################
LSmodel5 <- RII(LSdead, LSatrisk, loglambda = LSmodel4$loglambda, se = TRUE, B = 1000)
LSmodel5$se
sqrt(LSmodel5$var.log)


